#!/bin/sh

export PATH_POLYBAR="$HOME/.config/polybar"

# Terminate already running bar instances
# If all your bars have ipc enabled, you can use 
polybar-msg cmd quit &

# Otherwise you can use the nuclear option:
killall -q polybar &

# Launch.
if type "xrandr"; then
	for m in $(xrandr --query | grep -w connected | cut -d " " -f1); do
		MONITOR=$m polybar top --reload &
	done
else
	polybar top &
fi
